{************************************************************************************
*
*  Project Name:	CMTools
*     File Name:	cloc.p
*       Authors:	Rob Neville, Alex Kazim, Carol Lee, Byron Han
*          Date:	May 17, 1989
*
*   Description:	
*
*************************************************************************************
*
*	Revision History:
*		5/17/89 - Original version by Rob Neville (IIx)
*		6/26/89 - Rev'd for b2 of Comm Toolbox
*
************************************************************************************}

UNIT mycloc;

INTERFACE

USES
	MemTypes, QuickDraw, OSIntf, ToolIntf, PackIntf,
	FixMath, Script, 
	ConnectionTool,
	CMIntf,
	CMTool,
	CMUtil,
	CRMIntf,
	CTBUtils;
	
function CLOC(hCM: ConnHandle;msg: integer; p1,p2,p3: longint): longint;


IMPLEMENTATION

{	********************************	}
{	Entry for Localization Interface	}
{	********************************	}

function CLOC(hCM: ConnHandle;msg: integer;p1,p2,p3: longint): longint;
TYPE
	PtrPtr = ^Ptr;
	
VAR
	outPtr:	Ptr;
	procID: INTEGER ;
	
begin
	outPtr := PtrPtr(p2)^;
	procID := hCM^^.procID ;
	case msg of
		cmL2English:
			cloc := TranslateConfig( procID, Ptr(p1),outPtr,p3,verUS,ClassCM);
		cmL2Intl:
			cloc := TranslateConfig( procID, Ptr(p1),outPtr,verUS,p3,ClassCM);
	end; {case}
	PtrPtr(p2)^ := outPtr;
end; {cloc}
end.