{************************************************************************************
*
*  Project Name:	CMTools
*     File Name:	cmtool.p
*       Authors:	Rob Neville, Alex Kazim, Carol Lee, Byron Han
*          Date:	May 17, 1989
*
*   Description:	
*
*************************************************************************************
*
*	Revision History:
*		5/17/89 - Original version by Rob Neville
*		6/26/89 - Rev'd for b2 of Comm Toolbox
*		7/20/89 - Rev'd for b4 of CTB
*
************************************************************************************}

UNIT CMTool;

INTERFACE
CONST
	US_STR_ID			= 1;
	FR_STR_ID			= 2;
	BYRON_ID			= 1;
	ROB_ID				= 2;	{Special Case Str# ids}
	TRUE_ID				= 3;
	FALSE_ID			= 4;
	NUMOFSTRING			= 2;
	STR_VALUE_OFFSET	= 3;	{Str# index where value strings begin}
	MAX_STR				= 4;	{number of str in str# resource}
	EST_MAX_LEN			= 256;	{Estimated maximum size of string}


TYPE
	ConfigHdl		=	^ConfigPtr;
	ConfigPtr		=	^Config;
	Config			=	RECORD
		param1	:	BOOLEAN;
		param2	:	BOOLEAN;
	END;
	
	PrivateHdl 		=	^PrivatePtr;
	PrivatePtr 		=	^Private;
	Private			=	RECORD
		param	:	LONGINT;
	END;
	
IMPLEMENTATION
END. 	
